$(document).ready(function(){
	$("#informacion").on("click",function(){

		$("#modal-informacion").modal("show");
	});
	var validator = $("#formulary").validate({
        rules:{
            'documento':{
                required:true
            },
            'numero':{
                required:true
            }    
        },
        messages:{
            'documento':{
                required:"Este campo es requerido."
            },
            'numero':{
                required:"Este campo es requerido."
            },
            
        }
    });


    $("#validacion").on("click",function(){
		var response = grecaptcha.getResponse();
    	var validar = validator.form();
		if (response.length == 0) {
			$('#recaptchaError').removeClass('d-none');
			$('#recaptchaError').addClass('d-block');
		}else {
			$('#recaptchaError').addClass('d-none');
            $('#recaptchaError').removeClass('d-block');
			if(validar == true){
				data = $("#formulary").serialize();
				$('.content').loader('show');
				$.ajax({
					type: "GET",
					dataType: "json",
					url: base_url+"/api/dni",
					data:data,
					success:function(data){

						$('.content').loader('hide');
						if(data.status == true){

							$(location).attr('href', base_url+'/formulario?d='+data.d+"&q="+data.query+"&e="+data.extranjero);
							// $.confirm({
							// 	title: 'Satisfactorio',
							// 	content: data['message'],
							// 	type: 'green',
							// 	theme: 'modern',
							// 	// closeIcon: true,
							// 	icon: 'fas fa-check',
							// 	buttons: {
							// 	  confirm: {
							// 	      text:"Aceptar",
							// 	      btnClass: 'btn-green',
							// 	      action: function(){
							// 	      }
							// 	  }
							// 	}
							// });

						}else{
							$.confirm({
								title: 'Error!',
								content: data['message'],
								type: 'red',
								theme: 'modern',
								closeIcon: true,
								icon: 'fas fa-exclamation-triangle',
								buttons: {
									confirm: {
										text:"Intentar de nuevo",
										btnClass: 'btn-red',
										action: function(){
											// table.draw();
										}
									},
									cancel:{
										text:"Salir",
										action:function(){
											
										}
									}
								}
							});
						}
					},
					error:function(result){

					}
				});
			}
		}
    })
});